package com.bocloud.nms.model.hillstone;

import java.util.Objects;

// ISP信息
public class IspInfoModel extends HillStoneGenericModel {
    private Long vendorId; // 所属平台
    private String name; // 名称
    private Integer ispType; // 类型：0->自定义；1->预定义
    private Boolean ispUsed; // 是否绑定
    private String subnets; // 子网列表，格式：1.1.1.1/24,2.2.2.2/24

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getIspType() {
        return ispType;
    }

    public void setIspType(Integer ispType) {
        this.ispType = ispType;
    }

    public Boolean getIspUsed() {
        return ispUsed;
    }

    public void setIspUsed(Boolean ispUsed) {
        this.ispUsed = ispUsed;
    }

    public String getSubnets() {
        return subnets;
    }

    public void setSubnets(String subnets) {
        this.subnets = subnets;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        IspInfoModel info = (IspInfoModel) o;
        return Objects.equals(vendorId, info.vendorId) &&
            Objects.equals(name, info.name);
    }

    @Override
    public int hashCode() {
        return Objects.hash(vendorId, name);
    }
}
